Package picard.sam.markduplicates

# Interface MarkDuplicatesHelper

All Known Implementing Classes:
  `MarkDuplicates`, `MarkDuplicatesForFlowHelper`, `SimpleMarkDuplicatesWithMateCigar`, `UmiAwareMarkDuplicatesWithMateCigar`

public interface MarkDuplicatesHelper

## Method Summary

Modifier and Type
Method
Description
`ReadEndsForMarkDuplicates`
`buildReadEnds(htsjdk.samtools.SAMFileHeader header, long index, htsjdk.samtools.SAMRecord rec, boolean useBarcodes)`
`void`
`generateDuplicateIndexes(boolean useBarcodes, boolean indexOpticalDuplicates)`
`short`
`getReadDuplicateScore(htsjdk.samtools.SAMRecord rec, ReadEndsForMarkDuplicates pairedEnds)`

## Method Details

### generateDuplicateIndexes

void generateDuplicateIndexes(boolean useBarcodes, boolean indexOpticalDuplicates)

### buildReadEnds

ReadEndsForMarkDuplicates buildReadEnds(htsjdk.samtools.SAMFileHeader header, long index, htsjdk.samtools.SAMRecord rec, boolean useBarcodes)

### getReadDuplicateScore

short getReadDuplicateScore(htsjdk.samtools.SAMRecord rec, ReadEndsForMarkDuplicates pairedEnds)